Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 535924 - app-text/texlive-core-2014-r1 with dev-libs/icu-53.1-r1 - configure: checking requested system `icu' library... failed // ld: cannot find -licudata-lpthread
Summary: app-text/texlive-core-2014-r1 with dev-libs/icu-53.1-r1 - configure: checking...
Status: RESOLVED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Rémi Cardona
URL:
Whiteboard:
Keywords:
Depends on: 528022
Blocks:
  Show dependency tree
 
Reported: 2015-01-07 12:46 UTC by tka
Modified: 2015-01-10 15:04 UTC (History)
12 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,22.76 KB, text/plain)
2015-01-07 12:48 UTC, tka
Details
config.log (config.log,70.56 KB, text/plain)
2015-01-07 12:49 UTC, tka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tka 2015-01-07 12:46:33 UTC
After upgrading icu from 53.1 to 53.1-r1, texlive-core fails during the configure phase:
checking requested system `icu' library... failed
checking requested system `harfbuzz' library... failed
configure: error: some requested system libraries failed


The reason for the failure is a missing white space in the icu-config output (see #528022#c13). From the config.log:
configure:21129: checking requested system `icu' library
configure:21145: x86_64-pc-linux-gnu-g++ -o conftest -march=native -mtune=native -O2 -pipe -DU_DISABLE_RENAMING=1 -I/usr/include -I/usr/include/teckit   -DPOPPLER_VERSION=\"0.30.0\" -I/usr/include/poppler  -DPOPPLER_VERSION=\"0.30.0\" -I/usr/include/poppler  -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng16  -I/usr/include/pixman-1  -I/usr/include/freetype2 -I/usr/include/libpng16    -I/usr/include  -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu conftest.cpp -L/usr/lib64 -licui18n -licuuc -licudata-lpthread -ldl -lm   -lTECkit -lgraphite2  -lzzip -lz  -lpoppler  -lpoppler  -lcairo  -lpixman-1  -lfreetype -lpng16  -lpaper -lz -lkpathsea  >&5
<command-line>:0:18: warning: missing terminating " character [enabled by default]
<command-line>:0:18: warning: missing terminating " character [enabled by default]
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -licudata-lpthread
collect2: error: ld returned 1 exit status

Reproducible: Always




 # emerge --info
Portage 2.2.15 (python 3.3.5-final-0, hardened/linux/amd64/no-multilib, gcc-4.8.4, glibc-2.20-r1, 3.18.1 x86_64)
=================================================================
System uname: Linux-3.18.1-x86_64-Intel-R-_Core-TM-_i7-3720QM_CPU_@_2.60GHz-with-gentoo-2.2
KiB Mem:    16401164 total,  12295872 free
KiB Swap:   17825788 total,  17825788 free
Timestamp of tree: Wed, 07 Jan 2015 12:00:01 +0000
sh bash 4.3_p33
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.3_p33
dev-java/java-config:     2.2.0
dev-lang/perl:            5.20.1-r4
dev-lang/python:          2.7.9-r1, 3.3.5-r1, 3.4.2
dev-util/cmake:           3.0.2
dev-util/pkgconfig:       0.28-r2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.6
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6-r1, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.7.4, 4.8.4
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.4
sys-devel/make:           4.1-r1
sys-kernel/linux-headers: 3.18 (virtual/os-headers)
sys-libs/glibc:           2.20-r1
Repositories: science gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -mtune=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science /usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 acl acpi alsa amd64 avx berkdb bzip2 cairo caps cdda cddb cdparanoia cli cracklib crypt cups cxx dbus dri dts dvd fam ffmpeg fftw flac fontconfig foomaticdb gdbm gif gimp gmp gnutls gtk hardened iconv icu idn ipv6 jpeg justify lame lcms libnotify lzma mad matroska mmap mmx mmxext modules mp3 mpeg ncurses networkmanager nptl ogg opengl openmp pam pcre png policykit ppds readline sasl sdl session sse sse2 sse3 sse4 sse4_1 sse4_2 ssl ssse3 startup-notification svg tcpd theora threads tiff truetype udev udisks unicode upower vorbis wayland x264 xattr xcb xml xtpax xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="i965 intel nouveau" XFCE_PLUGINS="battery brightness logout menu power trash" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 tka 2015-01-07 12:48:38 UTC
Created attachment 393406 [details]
build.log
Comment 2 tka 2015-01-07 12:49:02 UTC
Created attachment 393408 [details]
config.log
Comment 3 tman 2015-01-07 19:32:19 UTC
i got same problem here
Comment 4 tman 2015-01-07 19:40:44 UTC
checking for uint64_t... yes
checking for struct stat.st_mtim... yes
checking for X... libraries , headers 
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking whether we are using the GNU C++ compiler... yes
checking whether x86_64-pc-linux-gnu-g++ accepts -g... yes
checking dependency style of x86_64-pc-linux-gnu-g++... none
checking what warning flags to pass to the C++ compiler... -Wreturn-type -Wno-unknown-pragmas -Wno-write-strings
checking how to run the C++ preprocessor... x86_64-pc-linux-gnu-g++ -E
checking for ld used by x86_64-pc-linux-gnu-g++... /usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) is GNU ld... yes
checking whether the x86_64-pc-linux-gnu-g++ linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking for x86_64-pc-linux-gnu-g++ option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-g++ PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-g++ static flag -static works... yes
checking if x86_64-pc-linux-gnu-g++ supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-g++ supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-g++ linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether ln -s works... yes
checking for TeX specific libraries to build... 
checking for x86_64-pc-linux-gnu-pkg-config... x86_64-pc-linux-gnu-pkg-config
checking for x86_64-pc-linux-gnu-freetype-config... no
checking for freetype-config... freetype-config
checking for x86_64-pc-linux-gnu-icu-config... no
checking for icu-config... icu-config
checking requested system `kpathsea' library... ok
checking requested system `zlib' library... ok
checking requested system `libpaper' library... ok
checking requested system `libpng' library... ok
checking requested system `freetype2' library... ok
checking requested system `pixman' library... ok
checking requested system `cairo' library... ok
checking requested system `poppler' library... ok
checking requested system `xpdf' library... ok
checking requested system `zziplib' library... ok
checking requested system `graphite2' library... ok
checking requested system `teckit' library... ok
checking requested system `icu' library... failed
checking requested system `harfbuzz' library... failed
configure: error: some requested system libraries failed

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/app-text/texlive-core-2014-r1/work/texlive-core-2014_build/config.log
 * ERROR: app-text/texlive-core-2014-r1::gentoo failed (configure phase):
 *   econf failed
 * 
 * Call stack:
 *          ebuild.sh, line   93:  Called src_configure
 *        environment, line 2879:  Called econf '-C' '--bindir=/usr/bin' '--datadir=/var/tmp/portage/app-text/texlive-core-2014-r1/work/texlive-core-2014_build' '--with-system-freetype2' '--with-system-zlib' '--with-system-libpng' '--with-system-xpdf' '--with-system-poppler' '--with-system-teckit' '--with-teckit-includes=/usr/include/teckit' '--with-system-kpathsea' '--with-kpathsea-includes=/usr/include' '--with-system-icu' '--with-system-ptexenc' '--with-system-harfbuzz' '--with-system-icu' '--with-system-graphite2' '--with-system-cairo' '--with-system-pixman' '--with-system-zziplib' '--with-system-libpaper' '--without-texinfo' '--disable-dialog' '--disable-multiplatform' '--enable-epsfwin' '--enable-mftalkwin' '--enable-regiswin' '--enable-tektronixwin' '--enable-unitermwin' '--with-ps=gs' '--disable-psutils' '--disable-t1utils' '--enable-ipc' '--disable-biber' '--disable-bibtex-x' '--disable-dvipng' '--disable-dvipsk' '--disable-chktex' '--disable-lcdf-typetools' '--disable-pdfopen' '--disable-ps2eps' '--disable-ps2pkm' '--disable-detex' '--disable-ttf2pk2' '--disable-tex4htk' '--disable-cjkutils' '--disable-xdvik' '--disable-xindy' '--enable-luatex' '--disable-dvi2tty' '--disable-dvisvgm' '--disable-vlna' '--enable-shared' '--disable-native-texlive-build' '--disable-largefile' '--enable-xetex' '--disable-ptex' '--disable-eptex' '--disable-uptex' '--disable-euptex' '--disable-mendexk' '--disable-makejvf' '--enable-texdoctk' '--with-x'
 *   phase-helpers.sh, line  584:  Called die
 * The specific snippet of code:
 *   			die "econf failed"
 * 
 * If you need support, post the output of `emerge --info '=app-text/texlive-core-2014-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-text/texlive-core-2014-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/app-text/texlive-core-2014-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-text/texlive-core-2014-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/app-text/texlive-core-2014-r1/work/texlive-core-2014_build'
 * S: '/var/tmp/portage/app-text/texlive-core-2014-r1/work/texlive-core-2014_build'

>>> Failed to emerge app-text/texlive-core-2014-r1, Log file:

>>>  '/var/tmp/portage/app-text/texlive-core-2014-r1/temp/build.log'

 * Messages for package app-text/texlive-core-2014-r1:

 * ERROR: app-text/texlive-core-2014-r1::gentoo failed (configure phase):
 *   econf failed
 * 
 * Call stack:
 *          ebuild.sh, line   93:  Called src_configure
 *        environment, line 2879:  Called econf '-C' '--bindir=/usr/bin' '--datadir=/var/tmp/portage/app-text/texlive-core-2014-r1/work/texlive-core-2014_build' '--with-system-freetype2' '--with-system-zlib' '--with-system-libpng' '--with-system-xpdf' '--with-system-poppler' '--with-system-teckit' '--with-teckit-includes=/usr/include/teckit' '--with-system-kpathsea' '--with-kpathsea-includes=/usr/include' '--with-system-icu' '--with-system-ptexenc' '--with-system-harfbuzz' '--with-system-icu' '--with-system-graphite2' '--with-system-cairo' '--with-system-pixman' '--with-system-zziplib' '--with-system-libpaper' '--without-texinfo' '--disable-dialog' '--disable-multiplatform' '--enable-epsfwin' '--enable-mftalkwin' '--enable-regiswin' '--enable-tektronixwin' '--enable-unitermwin' '--with-ps=gs' '--disable-psutils' '--disable-t1utils' '--enable-ipc' '--disable-biber' '--disable-bibtex-x' '--disable-dvipng' '--disable-dvipsk' '--disable-chktex' '--disable-lcdf-typetools' '--disable-pdfopen' '--disable-ps2eps' '--disable-ps2pkm' '--disable-detex' '--disable-ttf2pk2' '--disable-tex4htk' '--disable-cjkutils' '--disable-xdvik' '--disable-xindy' '--enable-luatex' '--disable-dvi2tty' '--disable-dvisvgm' '--disable-vlna' '--enable-shared' '--disable-native-texlive-build' '--disable-largefile' '--enable-xetex' '--disable-ptex' '--disable-eptex' '--disable-uptex' '--disable-euptex' '--disable-mendexk' '--disable-makejvf' '--enable-texdoctk' '--with-x'
 *   phase-helpers.sh, line  584:  Called die
 * The specific snippet of code:
Comment 5 Juergen Rose 2015-01-07 20:32:30 UTC
I have the same issue. Masking 

>=dev-libs/icu-53.1-r1

seems to help me as a workaround.
Comment 6 Kevin Meagher 2015-01-08 03:03:43 UTC
Same problem here
Comment 7 Maxim Britov 2015-01-08 10:04:56 UTC
Fixed. Bug 528022, comment 16
Comment 8 Martin Wegner 2015-01-09 17:09:30 UTC
(In reply to Maxim Britov from comment #7)
> Fixed. Bug 528022, comment 16

I can confirm that rebuilding =dev-libs/icu-53.1-r1 by hand resolved this bug for me here. So a revbump of icu as suggested in bug #528022 could solve this I guess.
Comment 9 Rémi Cardona gentoo-dev 2015-01-10 15:04:04 UTC
icu has been revbumped. Closing this bug as invalid. Sorry for the trouble I caused.

Thanks